Playlists/Tagged Endpoints (2017/01)
Use these endpoints to manage tagged playlists on the network.
Base URL for these endpoints: https://api.brightsignnetwork.com/2017/01/REST/Playlists/Tagged
GET /
Returns a list of tagged playlists on the network.
Parameters
filter string
An expressionexpression for filtering search results
sort string
An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (e.g. "[Device].[Serial] ASC")
marker string
A value specifying which page to retrieve. This value is useful if the isTruncated entry in the response body of the previous GET call indicates that the number of tagged playlist instances exceeds the pageSize.
pageSize int
The maximum number of tagged playlist instances that can be contained in the response body
______________________________________________________________
Response Body
Returns a paged listpaged list of Tagged Playlist Entity (2017/01) instances on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.
POST /
Creates a tagged playlist on the network.
Request Body
______________________________________________________________
Response Body
Returns a 201 status code and the new resource created and referenced by the Uri (given by the Location header field) in the response. The response includes theTagged Playlist Entity (2017/01).
DELETE /
Removes tagged playlists, specified by a filter, from the network. This allows you to delete multiple tagged playlists at once.
Parameters
filter string
An expressionexpression for filtering search results
______________________________________________________________
Response Body
Returns the number of affected tagged playlists as an integer value.
GET /Count/
Returns the number of tagged playlists on the network that match the specified filter criteria. If no filter is included, this call returns the total number of tagged playlists on the network.
Parameters
filter string
An expressionexpression for filtering search results
______________________________________________________________
Response Body
The number of tagged playlists is returned as an integer value.
GET /{id:int}/
Returns the tagged playlist instance with the specified id.
Parameters
id int
A unique identifier for the tagged playlist instance
______________________________________________________________
Response Body
Returns the Tagged Playlist Entity (2017/01)
PUT /{id:int}/
Modifies the specified tagged playlist instance.
Parameters
id int
A unique identifier for the tagged playlist instance
______________________________________________________________
Request Body
______________________________________________________________
Response Body
On success this method returns a status code 2XX, on failure it returns a status code of 5XX.
DELETE /{id:int}/
Removes the specified tagged playlist from the network.
Parameters
id int
A unique identifier for the tagged playlist instance
______________________________________________________________
Response Body
On success this method returns a status code 2XX, on failure it returns a status code of 5XX.
GET /{name}/
Returns the tagged playlist instance with the specified name.
Parameters
name string
The name of the tagged playlist instance
______________________________________________________________
Response Body
Returns the Tagged Playlist Entity (2017/01)
PUT /{name}/
Modifies the specified tagged playlist instance.
Parameters
name string
The name of the tagged playlist instance
______________________________________________________________
Request Body
______________________________________________________________
Response Body
On success this method returns a status code 2XX, on failure it returns a status code of 5XX.
DELETE /{name}/
Removes the tagged playlist from the network.
Parameters
name string
The name of the tagged playlist instance
______________________________________________________________
Response Body
On success this method returns a status code 2XX, on failure it returns a status code of 5XX.
GET /Operations/
Returns the operational permissions granted to roles for specific business operations
Response Body
Returns the Business Operations EntityBusiness Operations Entity
GET /{id:int}/Permissions/
Includes object permissions for a given tagged playlist instance.
Parameters
id int
A unique identifier for the tagged playlist instance
______________________________________________________________
Response Body
Returns the Permission Entity (2017/01)
POST /{id:int}/Permissions/
Retrieves the permissions for the specified tagged playlist on the network.
Parameters
id int
A unique identifier for the tagged playlist instance
______________________________________________________________
Request Body
______________________________________________________________
Response Body
On success this method returns a status code 2XX, on failure it returns a status code of 5XX.
DELETE /{id:int}/Permissions/
Removes permissions for the specified tagged playlist.
Parameters
id int
A unique identifier for the tagged playlist instance
______________________________________________________________
Request Body
______________________________________________________________
Response Body
On success this method returns a status code 2XX, on failure it returns a status code of 5XX.
GET /{name}/Permissions/
Includes object permissions for a given tagged playlist instance.
Parameters
name string
The name of the tagged playlist instance
______________________________________________________________
Request Body
Returns the Permission Entity (2017/01)
POST /{name}/Permissions/
Retrieves the permissions for the specified tagged playlist on the network.
Parameters
name string
The name of the tagged playlist instance
______________________________________________________________
Request Body
______________________________________________________________
Response Body
On success this method returns a status code 2XX, on failure it returns a status code of 5XX.
DELETE /{name}/Permissions/
Removes permissions for the specified tagged playlist.
Parameters
name string
The name of the tagged playlist instance
______________________________________________________________
Request Body
______________________________________________________________
Response Body
On success this method returns a status code 2XX, on failure it returns a status code of 5XX.